//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	CalF90cxxGlue.h	--- the Fortran90/C++ interface of the CAL
//
//	DESCRIPTION:
//		This file acts as the interface between the CAL EMOS API written in
//		Fortran90 and its implementation in C++. All platform-specifics
//		of the C++/F90 interface are centralized in this file and
//		CalF90cxxGlue.cc.
//
//	CHANGE HISTORY:
//		UL, 1999-12-16: 1.0.0: - first version
//
//	AUTHOR:
//		U. Lammers, Mon Oct  6 15:32:57 WET DST 1997
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//		[2]: Indexing of the XMM Current Calibration File, U. Lammers,
//			 15/07/97
//		[3]: Calibration Access and Data Handbook, C. Erd et al.
//
//	$Header: /data/xmm02/cvsadmin/soc_repos/sas/packages/calmosalgo/f90/CalF90cxxGlue.h,v 1.3 1999/12/16 16:10:45 ulammers Exp $
//

#ifndef CAL_F90MOSCPP_H
#define CAL_F90MOSCPP_H

#include "common.h"
#include "f90cxx.h"
#include "Handle.h"
#include "Dal.h"


//
//	MOS specific
//
extern "C" void CXXFUNC(cal_mosphabuild, CAL_mosPhaBuild)
						(const Dope1 *energye1,
						 const Dope1 *energye2,
						 const Dope1 *pattern ,
						 Dope1 *pha,
						 const Dope1 *locbkg ,
						 const Dope1 *energye3 ,
						 const Dope1 *energye4 ,
						 const Dope1 *peripix ,
						 const Dope1 *flag);

#endif
